Main Page Widgets glibmm Namespaces Book

# Glib::SignalProxyConnectionNode Class Reference

SignalProxyConnectionNode is a connection node for use with SignalProxy. More...

List of all members.

## Public Member Functions
| SignalProxyConnectionNode (const sigc::slot_base& slot, GObject* gobject)
  | Parameters:
  | slot | The signal handler for the glib signal.
## Static Public Member Functions
static void* | notify (void* data)
| Callback that is executed when the slot becomes invalid.
static void | destroy_notify_handler (gpointer data, GClosure* closure)
| Callback that is executed when the glib closure is destroyed.
## Public Attributes
gulong | connection_id_
sigc::slot_base | slot_
## Protected Attributes
GObject* | object_

## Detailed Description

SignalProxyConnectionNode is a connection node for use with SignalProxy.

It lives between the layer of Gtk+ and libsigc++. It is very much an internal class.

## Constructor & Destructor Documentation

Glib::SignalProxyConnectionNode::SignalProxyConnectionNode | ( | const sigc::slot_base & | slot,
|  | GObject* | gobject |
| ) |  |  |

Parameters:

  | slot | The signal handler for the glib signal.

Parameters:

  | gobject | The GObject that might emit this glib signal

## Member Function Documentation

static void* Glib::SignalProxyConnectionNode::notify | ( | void * | data | ) | `[static]`

Callback that is executed when the slot becomes invalid.

This callback is registered in the slot.

Parameters:

  | data | The SignalProxyConnectionNode object (`this`).

static void Glib::SignalProxyConnectionNode::destroy_notify_handler | ( | gpointer | data,
|  | GClosure * | closure |
| ) |  |  | `[static]`

Callback that is executed when the glib closure is destroyed.

Parameters:

  | data | The SignalProxyConnectionNode object (`this`).
  | closure | The glib closure object.

## Member Data Documentation

gulong Glib::SignalProxyConnectionNode::connection_id_

sigc::slot_base Glib::SignalProxyConnectionNode::slot_

GObject* Glib::SignalProxyConnectionNode::object_`[protected]`

The documentation for this class was generated from the following file:

- signalproxy_connectionnode.h